Subject: bug#16532: Test Fail: "tests/chown/separator"

From: Assaf Gordon <[email-masked]>
Date: Thu, 23 Jan 2014 21:46:59 -0500

On 01/23/2014 09:32 PM, Pádraig Brady wrote:
>
> Actually I messed up the login in the suggestion.
> I think the above should be s/!=/=/ which I've done
> in the attached patch.
>
> If you could confirm it was skipped on your system
> it would be great.
>
> I'll push soon anyway.
>

Please don't push yet - it doesn't work, but for un-expected reason:

my previous patch was incorrect (The "=" vs "!=" as you pointed), but 
also "getent groups" was incorrect - so two wrongs did make a right :)

The test fails, here's why:

On my strange system:

===
$ getent group users
users:x:100:
===
vs.
===
$ getent group | grep ^users
users:x:100:
users:x:1000:www-data,XXX,YYY
===

And so, the skip test didn't actual work to begin with.

Should we change it to "getent" + "grep" ?

-gordon